package com.caimei.controller.order;

import com.caimei.entity.CmOperationUser;
import com.caimei.entity.WxJsonModel;
import com.caimei.service.order.OrderService;
import com.caimei.utils.SessionHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 订单
 */
@Controller
@RequestMapping("/order")
public class OrderController {
    @Autowired
    private OrderService orderService;

    /**
     * 确认订单信息
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/confirm")
    public WxJsonModel confirmOrder(Integer userId, String classifyIDS, Integer organizeID, String productIDs, Integer count) {
        Map<String, Object> map = orderService.confirmOrder(userId, classifyIDS, organizeID, productIDs, count);
        return WxJsonModel.newInstance().success(map);
    }

    /**
     * 分享订单
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/share")
    public WxJsonModel shareOrder(Integer orderID) {
        String shareCode = orderService.shareOrder(orderID);
        return WxJsonModel.newInstance().success(shareCode);
    }

    /**
     * 订单详情
     */
    @ResponseBody
    @RequestMapping("/particulars")
    public WxJsonModel particulars(Integer orderID) {
        Map<String, Object> map = orderService.particulars(orderID);
        return null;
    }

    /**
     * 提交订单
     *
     * @return
     */
    @ResponseBody
    @RequestMapping("/submitOrder")
    public WxJsonModel submitOrder(Integer organizeID,HttpServletRequest request) {
        WxJsonModel wxJsonModel = WxJsonModel.newInstance();
        //检查用户是否登入
        CmOperationUser currentUser = SessionHelper.getCurrentUser(request);
        if(null == currentUser){
            wxJsonModel.error("1000","用户账户异常");
        }
        //保存商品

        return wxJsonModel.success();
    }
}
