package com.caimei.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 进账信息Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class NewCmFinanceReceipts implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String status;        // 状态 1待支付 2待财务确认 3已收到款 4未收到款 9交易关闭
    private Integer orderId;        // 订单ID
    private Integer userId;        // 用户ID
    private Integer clubId;        // 机构ID
    private String orderSequence;        //订单序列号-- 订单编号(主订单)+序列ID
    private Integer orderSubmitType;        // :个人自己下单 1:企业自己下单 2:员工帮机构下单 3:协销帮机构下单  4:后台下单 5:采美豆订单
    private Integer orderType;        // 订单类型 协销订单 0 普通订单 1
    private String transactionNum;        // 交易号
    private String orderProductIds;        // 订单商品ID，多个用逗号隔开
    private String payWay;          // 支付方式
    private Double totalAmount;        // 总金额/总价
    private Double deductionAmount;        // 抵扣总额
    private Double shouldPayAmount;        // 应付总额
    private Integer bankID;             //银行卡ID
    private String bankCode;            //银行卡号
    private Integer kuaiQianPayTypeID;      //快钱支付类型ID
    private Integer kuaiQianPayerID;        //块钱支付ID
    private String rePayFlag;               //支付状态 1支付成功
    private String delFlag;
    private Date receiptsDate;        // 进账时间
    private Date auditDate;        // 审核时间
    private Double actualAmount;    //支付金额
    private Double useBalanceAmount;//余额支付金额
    private Double refundAmount;    //可退金额
    private Double preferential;    //优惠金额
    private String formData;        //支付返回数据
    private String proberlem;       //支付问题

    private String createBy;
    private String createDate;
    private String updateBy;
    private String updateDate;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getOrderSequence() {
        return orderSequence;
    }

    public void setOrderSequence(String orderSequence) {
        this.orderSequence = orderSequence;
    }


    public String getTransactionNum() {
        return transactionNum;
    }

    public void setTransactionNum(String transactionNum) {
        this.transactionNum = transactionNum;
    }

    public String getOrderProductIds() {
        return orderProductIds;
    }

    public void setOrderProductIds(String orderProductIds) {
        this.orderProductIds = orderProductIds;
    }

    public String getPayWay() {
        return payWay;
    }

    public void setPayWay(String payWay) {
        this.payWay = payWay;
    }

    public Date getReceiptsDate() {
        return receiptsDate;
    }

    public void setReceiptsDate(Date receiptsDate) {
        this.receiptsDate = receiptsDate;
    }

    public Date getAuditDate() {
        return auditDate;
    }

    public void setAuditDate(Date auditDate) {
        this.auditDate = auditDate;
    }

    public Integer getBankID() {
        return bankID;
    }

    public void setBankID(Integer bankID) {
        this.bankID = bankID;
    }

    public String getBankCode() {
        return bankCode;
    }

    public void setBankCode(String bankCode) {
        this.bankCode = bankCode;
    }

    public Integer getKuaiQianPayTypeID() {
        return kuaiQianPayTypeID;
    }

    public void setKuaiQianPayTypeID(Integer kuaiQianPayTypeID) {
        this.kuaiQianPayTypeID = kuaiQianPayTypeID;
    }

    public Integer getKuaiQianPayerID() {
        return kuaiQianPayerID;
    }

    public void setKuaiQianPayerID(Integer kuaiQianPayerID) {
        this.kuaiQianPayerID = kuaiQianPayerID;
    }

    public String getRePayFlag() {
        return rePayFlag;
    }

    public void setRePayFlag(String rePayFlag) {
        this.rePayFlag = rePayFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getClubId() {
        return clubId;
    }

    public void setClubId(Integer clubId) {
        this.clubId = clubId;
    }

    public Integer getOrderSubmitType() {
        return orderSubmitType;
    }

    public void setOrderSubmitType(Integer orderSubmitType) {
        this.orderSubmitType = orderSubmitType;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Double getDeductionAmount() {
        return deductionAmount;
    }

    public void setDeductionAmount(Double deductionAmount) {
        this.deductionAmount = deductionAmount;
    }

    public Double getShouldPayAmount() {
        return shouldPayAmount;
    }

    public void setShouldPayAmount(Double shouldPayAmount) {
        this.shouldPayAmount = shouldPayAmount;
    }

    public Double getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(Double actualAmount) {
        this.actualAmount = actualAmount;
    }

    public Double getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Double refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    public String getFormData() {
        return formData;
    }

    public void setFormData(String formData) {
        this.formData = formData;
    }

    public String getProberlem() {
        return proberlem;
    }

    public void setProberlem(String proberlem) {
        this.proberlem = proberlem;
    }

    public Double getUseBalanceAmount() {
        return useBalanceAmount;
    }

    public void setUseBalanceAmount(Double useBalanceAmount) {
        this.useBalanceAmount = useBalanceAmount;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }
}